All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface ExportCommandClassNames

    public interface ExportCommandClassNames

Names of the command classes used to export the data

Since:
  3.1

Field Summary
`static java.lang.String` | `OLAP_HTTP_EXPORT_TO_EXCEL_CSV_COMMAND_CLASS_NAME` Name of the command class used to export multidimensional data from a web application to Excel using a Comma Separated Values output type "com.sas.servlet.commands.olap.export.OLAPExportToCSVCommand"
`static java.lang.String` | `OLAP_HTTP_EXPORT_TO_EXCEL_HTML_COMMAND_CLASS_NAME` Name of the command class used to export multidimensional data from a web application to Excel using an HTML output type "com.sas.servlet.commands.olap.export.OLAPExportToHTMLCommand"
`static java.lang.String` | `OLAP_HTTP_EXPORT_TO_EXCEL_TSV_COMMAND_CLASS_NAME` Name of the command class used to export multidimensional data from a web application to Excel using a Tab Separated Values output type "com.sas.servlet.commands.olap.export.OLAPExportToTabSeparatedCommand"
`static java.lang.String` | `OLAP_HTTP_EXPORT_TO_EXCEL_XLSX_COMMAND_CLASS_NAME` Name of the command class used to export multidimensional data from a web application to Excel using an HTML output type "com.sas.export.office.commands.OLAPExportToXLSXCommand"
`static java.lang.String` | `OLAP_HTTP_EXPORT_TO_EXCEL_XML_COMMAND_CLASS_NAME` Name of the command class used to export multidimensional data from a web application to Excel using an XML output type "com.sas.servlet.commands.olap.export.OLAPExportToExcelXMLCommand"
`static java.lang.String` | `RELATIONAL_HTTP_EXPORT_TO_EXCEL_CSV_COMMAND_CLASS_NAME` Name of the command class used to export non multidimensional {relational) data from a web application to Excel using a Comma Separated Values output type "com.sas.servlet.commands.jdbc.export.ExportToCSVCommand"
`static java.lang.String` | `RELATIONAL_HTTP_EXPORT_TO_EXCEL_HTML_COMMAND_CLASS_NAME` Name of the command class used to export non multidimensional {relational) data from a web application to Excel using an HTML output type "com.sas.servlet.commands.jdbc.export.ExportToHTMLCommand"
`static java.lang.String` | `RELATIONAL_HTTP_EXPORT_TO_EXCEL_TSV_COMMAND_CLASS_NAME` Name of the command class used to export non multidimensional {relational) data from a web application to Excel using a Tab Separated Values output type "com.sas.servlet.commands.jdbc.export.ExportToTabSeparatedCommand"
`static java.lang.String` | `RELATIONAL_HTTP_EXPORT_TO_EXCEL_XLSX_COMMAND_CLASS_NAME` Name of the command class used to export non multidimensional {relational) data from a web application to Excel using an XLSX output type "com.sas.export.office.commands.ExportToXLSXCommand"
`static java.lang.String` | `RELATIONAL_HTTP_EXPORT_TO_EXCEL_XML_COMMAND_CLASS_NAME` Name of the command class used to export non multidimensional {relational) data from a web application to Excel using an XML output type "com.sas.servlet.commands.jdbc.export.ExportToExcelXMLCommand"

Field Detail

### RELATIONAL_HTTP_EXPORT_TO_EXCEL_TSV_COMMAND_CLASS_NAME

    static final java.lang.String RELATIONAL_HTTP_EXPORT_TO_EXCEL_TSV_COMMAND_CLASS_NAME

  Name of the command class used to export non multidimensional {relational) data from a web application to Excel using a Tab Separated Values output type "com.sas.servlet.commands.jdbc.export.ExportToTabSeparatedCommand"

  See Also:
    Constant Field Values

### RELATIONAL_HTTP_EXPORT_TO_EXCEL_CSV_COMMAND_CLASS_NAME

    static final java.lang.String RELATIONAL_HTTP_EXPORT_TO_EXCEL_CSV_COMMAND_CLASS_NAME

  Name of the command class used to export non multidimensional {relational) data from a web application to Excel using a Comma Separated Values output type "com.sas.servlet.commands.jdbc.export.ExportToCSVCommand"

  See Also:
    Constant Field Values

### RELATIONAL_HTTP_EXPORT_TO_EXCEL_XML_COMMAND_CLASS_NAME

    static final java.lang.String RELATIONAL_HTTP_EXPORT_TO_EXCEL_XML_COMMAND_CLASS_NAME

  Name of the command class used to export non multidimensional {relational) data from a web application to Excel using an XML output type "com.sas.servlet.commands.jdbc.export.ExportToExcelXMLCommand"

  See Also:
    Constant Field Values

### RELATIONAL_HTTP_EXPORT_TO_EXCEL_HTML_COMMAND_CLASS_NAME

    static final java.lang.String RELATIONAL_HTTP_EXPORT_TO_EXCEL_HTML_COMMAND_CLASS_NAME

  Name of the command class used to export non multidimensional {relational) data from a web application to Excel using an HTML output type "com.sas.servlet.commands.jdbc.export.ExportToHTMLCommand"

  See Also:
    Constant Field Values

### RELATIONAL_HTTP_EXPORT_TO_EXCEL_XLSX_COMMAND_CLASS_NAME

    static final java.lang.String RELATIONAL_HTTP_EXPORT_TO_EXCEL_XLSX_COMMAND_CLASS_NAME

  Name of the command class used to export non multidimensional {relational) data from a web application to Excel using an XLSX output type "com.sas.export.office.commands.ExportToXLSXCommand"

  See Also:
    Constant Field Values

### OLAP_HTTP_EXPORT_TO_EXCEL_TSV_COMMAND_CLASS_NAME

    static final java.lang.String OLAP_HTTP_EXPORT_TO_EXCEL_TSV_COMMAND_CLASS_NAME

  Name of the command class used to export multidimensional data from a web application to Excel using a Tab Separated Values output type "com.sas.servlet.commands.olap.export.OLAPExportToTabSeparatedCommand"

  See Also:
    Constant Field Values

### OLAP_HTTP_EXPORT_TO_EXCEL_CSV_COMMAND_CLASS_NAME

    static final java.lang.String OLAP_HTTP_EXPORT_TO_EXCEL_CSV_COMMAND_CLASS_NAME

  Name of the command class used to export multidimensional data from a web application to Excel using a Comma Separated Values output type "com.sas.servlet.commands.olap.export.OLAPExportToCSVCommand"

  See Also:
    Constant Field Values

### OLAP_HTTP_EXPORT_TO_EXCEL_XML_COMMAND_CLASS_NAME

    static final java.lang.String OLAP_HTTP_EXPORT_TO_EXCEL_XML_COMMAND_CLASS_NAME

  Name of the command class used to export multidimensional data from a web application to Excel using an XML output type "com.sas.servlet.commands.olap.export.OLAPExportToExcelXMLCommand"

  See Also:
    Constant Field Values

### OLAP_HTTP_EXPORT_TO_EXCEL_HTML_COMMAND_CLASS_NAME

    static final java.lang.String OLAP_HTTP_EXPORT_TO_EXCEL_HTML_COMMAND_CLASS_NAME

  Name of the command class used to export multidimensional data from a web application to Excel using an HTML output type "com.sas.servlet.commands.olap.export.OLAPExportToHTMLCommand"

  See Also:
    Constant Field Values

### OLAP_HTTP_EXPORT_TO_EXCEL_XLSX_COMMAND_CLASS_NAME

    static final java.lang.String OLAP_HTTP_EXPORT_TO_EXCEL_XLSX_COMMAND_CLASS_NAME

  Name of the command class used to export multidimensional data from a web application to Excel using an HTML output type "com.sas.export.office.commands.OLAPExportToXLSXCommand"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.